diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 9e0f917..0a124a0 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -460,6 +460,12 @@ J. H. davenport ``Primality testing revisited'' Technical Report TR2/93
 (ATR/6)(NP2556) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA
 and Oxford, UK, August 1993
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[Dav10]{Dav10}
+Davenport, J. H. ``Computer Algebra'' \hfill\\
+\verb|staff.bath.ac.uk/masjhd/JHD-CA.pdf|
+\bibitem[DSTxx]{DSTxx}
+Davenport, J. H., Siret, and Tournier ``Computer Algebra''  \hfill\\
+\verb|staff.bath.ac.uk/masjhd/masternew.pdf|
 \bibitem[DD89]{DD89}
 C. Dicrescenzo and D. Duval ``Algebraic extensions and algebraic closure in
 Scratchpad II'' In Gianni [Gia89], pp440-446 ISBN 3-540-51084-2
diff --git a/changelog b/changelog
index 110875f..9bcbf80 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20110318 tpd src/axiom-website/patches.html 20110318.01.tpd.patch
+20110318 tpd books/bookvolbib add Davenport [Dav10], [DSTxx]
 20110317 tpd src/axiom-website/patches.html 20110317.01.tpd.patch
 20110317 tpd books/bookvolbib add Fateman [Fat05]
 20110311 tpd src/axiom-website/patches.html 20110311.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d7fc919..550febd 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3433,5 +3433,7 @@ books/bookvol9 treeshake compiler<br/>
 books/bookvol9 treeshake compiler<br/>
 <a href="patches/20110317.01.tpd.patch">20110317.01.tpd.patch</a>
 books/bookvolbib add Fateman [Fat05]<br/>
+<a href="patches/20110318.01.tpd.patch">20110318.01.tpd.patch</a>
+books/bookvolbib add Davenport [Dav10], [DSTxx]<br/>
  </body>
 </html>
